#!/bin/sh
#
# Copyright (c) 2009 Avira GmbH

HOME_DIR="/usr/lib/AntiVir"
OS=`uname | env LANG=C LC_ALL=C LC_CTYPE=C tr '[:upper:]' '[:lower:]'`

case "${OS}" in
	sunos)
		PSAX="ps -Af"
		;;
	freebsd)
		PSAX="ps ax"
		;;
	darwin)
		PSAX="ps ax"
		;;
	*)
		PSAX="ps ax"
		;;
esac

if [ -f $HOME_DIR/avmailgate ]
then
	if [ -f /var/run/start_avmailgate -a ! -f /var/run/restart_avmailgate ]
	then
		rm /var/run/start_avmailgate > /dev/null 2>&1
	fi

	rm /var/run/restart_avmailgate > /dev/null 2>&1

	$PSAX | grep "$HOME_DIR/avmailgate.bin" | grep -v grep > /dev/null 2>&1
	ERR="$?"
	if [ $ERR -eq 0 -o -f /etc/init.d/avmailgate -o -f /etc/rc?.d/avmailgate -o -f /etc/rc.d/rc?.d/avmailgate ]
	then
		touch /var/run/start_avmailgate
	fi

	$HOME_DIR/avmailgate stop > /dev/null 2>&1
	ERR=$?
	if [ $ERR -eq 0 ]
	then
		exit 0

	elif [ $ERR -eq 7 ]
	then
		exit 0

	elif [ $ERR -ne 0 -a $ERR -ne 7 ]
	then
		exit 0
	else
		echo ""
		echo "It was not possible to stop MailGate"
		exit 1
	fi
else
	echo ""
	echo "$HOME_DIR/avmailgate not found."
	exit 1
fi
